accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-905) Switch to Java 1.7
Date Wed, 02 Apr 2014 22:34:16 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-905?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13958269#comment-13958269
] 

ASF subversion and git services commented on ACCUMULO-905:
----------------------------------------------------------

Commit 44f72a8470f22ef83077a0e75ecc14af20377620 in accumulo's branch refs/heads/master from
[~ctubbsii]
[ https://git-wip-us.apache.org/repos/asf?p=accumulo.git;h=44f72a8 ]

ACCUMULO-905 Make JDK7 the minimum supported version

Change documentation referring to a specific JDK version to something more
generic.


> Switch to Java 1.7
> ------------------
>
>                 Key: ACCUMULO-905
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-905
>             Project: Accumulo
>          Issue Type: Improvement
>            Reporter: Christopher Tubbs
>            Assignee: Christopher Tubbs
>              Labels: java, jdk1.7
>             Fix For: 1.7.0
>
>         Attachments: ACCUMULO-905-1.patch
>
>   Original Estimate: 5m
>          Time Spent: 0.05h
>  Remaining Estimate: 2m
>
> As 1.7 becomes the default Java in more and more operating systems, and security-related
bugfixes and other fixes in Java itself are targeted more towards newer versions, rather than
maintaining older versions, it would be prudent to switch to using 1.7 as our target platform.
> This change would allow us to leverage some of the newer features of Java.
> This change can be established at the beginning of the development cycle for Accumulo
1.6.0, so that we can immediately begin taking advantage of the new Java features in 1.6.0
features after 1.5.0 is released.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message